cascading.tuple.io

## Class ValueTuple

- java.lang.Object
- - cascading.tuple.Tuple
  - - cascading.tuple.io.ValueTuple

All Implemented Interfaces:
  Resettable1<Tuple>, java.io.Serializable, java.lang.Comparable<java.lang.Object>, java.lang.Iterable<java.lang.Object>

    public class ValueTuple
    extends Tuple
    implements Resettable1<Tuple>

See Also:
  Serialized Form

### Field Summary

Fields
`static ValueTuple` `NULL` A constant empty Tuple instance.

### Fields inherited from class cascading.tuple.Tuple

`elements, isUnmodifiable`

### Constructor Summary

Constructors
Constructor and Description
`ValueTuple()`
`ValueTuple(Fields fields, java.util.List<java.lang.Object> elements)`
`ValueTuple(java.util.List<java.lang.Object> elements)`
`ValueTuple(java.lang.Object... values)`
`ValueTuple(Tuple tuple)`

### Method Summary

Methods
`void` `reset(Tuple value)`

### Methods inherited from class cascading.tuple.Tuple

`add, add, addAll, addAll, addBoolean, addDouble, addFloat, addInteger, addLong, addShort, addString, append, clear, compareTo, compareTo, compareTo, elements, equals, format, get, get, getBoolean, getChar, getDouble, getFloat, getInteger, getLong, getObject, getPos, getShort, getString, getTypes, hashCode, internalSet, isEmpty, isUnmodifiable, iterator, leave, print, printTo, put, remove, remove, set, set, set, setAll, setAll, setBoolean, setDouble, setFloat, setInteger, setLong, setShort, setString, size, size, size, toString, toString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NULL

    public static final ValueTuple NULL

A constant empty Tuple instance. This instance is immutable.

### Constructor Detail

#### ValueTuple

    public ValueTuple(java.util.List<java.lang.Object> elements)

#### ValueTuple

    public ValueTuple(Fields fields,
              java.util.List<java.lang.Object> elements)

#### ValueTuple

    public ValueTuple()

#### ValueTuple

    public ValueTuple(Tuple tuple)

#### ValueTuple

    public ValueTuple(java.lang.Object... values)

### Method Detail

#### reset

    public void reset(Tuple value)

Specified by:
  `reset` in interface `Resettable1<Tuple>`